package br.usp.ime.mac5855.knn;

/**
 * Esta interface define um ponderador de distncias entre os objetos, a ser
 * usado no algoritmo Knn para dar pesos s distncias entre objetos.
 * @see KnnPonderado
 * @see KnnStrategy
 * @author Victor Williams Stafusa da Silva
 */
public interface PonderadorKnn {

    /**
     * Pondera um valor representando uma distncia, que  sempre maior ou igual
     * a zero.
     * @param valor O valor a ser ponderado.
     * @return O valor aps a ponderao.
     */
    public double ponderar(double valor);
}
